<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: transactor_sm Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">transactor_sm Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for transactor_sm:</div>
<div class="dyncontent">
<div class="center"><img src="classtransactor__sm__inherit__graph.png" border="0" usemap="#transactor__sm_inherit__map" alt="Inheritance graph"/></div>
<map name="transactor__sm_inherit__map" id="transactor__sm_inherit__map">
<area shape="rect" id="node2" href="classtransactor.html" title="transactor" alt="" coords="19,80,107,107"/><area shape="rect" id="node3" href="classipbus__ctrl.html" title="ipbus_ctrl" alt="" coords="20,155,105,181"/><area shape="rect" id="node4" href="classipbus__if.html" title="ipbus_if" alt="" coords="26,229,99,256"/><area shape="rect" id="node5" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="17,304,108,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classtransactor__sm-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtransactor__sm_1_1rtl.html">rtl</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:a9f49de6f5eed5b4488cba6c9cdd1c215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f49de6f5eed5b4488cba6c9cdd1c215"></a>
<a class="el" href="classtransactor__sm.html#a9f49de6f5eed5b4488cba6c9cdd1c215">work</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classtransactor__sm.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:adc1360fec5c5316c9b1bbcb8f6c0a6ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc1360fec5c5316c9b1bbcb8f6c0a6ba"></a>
<a class="el" href="classtransactor__sm.html#adc1360fec5c5316c9b1bbcb8f6c0a6ba">ipbus</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classipbus.html"> &lt;ipbus&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classtransactor__sm.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5cf3e8e1cb15fcfc3619d8dc23942d9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cf3e8e1cb15fcfc3619d8dc23942d9c"></a>
<a class="el" href="classtransactor__sm.html#a5cf3e8e1cb15fcfc3619d8dc23942d9c">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0307c6f56cd05fad5e4e32a5c78745c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0307c6f56cd05fad5e4e32a5c78745c2"></a>
<a class="el" href="classtransactor__sm.html#a0307c6f56cd05fad5e4e32a5c78745c2">rx_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a57915eecf60a6b90bb47d6a6e8ed0f88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57915eecf60a6b90bb47d6a6e8ed0f88"></a>
<a class="el" href="classtransactor__sm.html#a57915eecf60a6b90bb47d6a6e8ed0f88">rx_ready</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acf8451ce01bd64f8cc28557be683c3e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf8451ce01bd64f8cc28557be683c3e9"></a>
<a class="el" href="classtransactor__sm.html#acf8451ce01bd64f8cc28557be683c3e9">rx_next</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acd48b1f448b12144d0ffba89303b39f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd48b1f448b12144d0ffba89303b39f0"></a>
<a class="el" href="classtransactor__sm.html#acd48b1f448b12144d0ffba89303b39f0">tx_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c97c903c75abd6c15d49ffff787865d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c97c903c75abd6c15d49ffff787865d"></a>
<a class="el" href="classtransactor__sm.html#a1c97c903c75abd6c15d49ffff787865d">tx_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a55c42d74763492dfda82ce52c3130f96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55c42d74763492dfda82ce52c3130f96"></a>
<a class="el" href="classtransactor__sm.html#a55c42d74763492dfda82ce52c3130f96">tx_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec6bdbc37954f90c0d99a2e933488f50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec6bdbc37954f90c0d99a2e933488f50"></a>
<a class="el" href="classtransactor__sm.html#aec6bdbc37954f90c0d99a2e933488f50">tx_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9114e925dde279292fc80cbd5e46b505"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9114e925dde279292fc80cbd5e46b505"></a>
<a class="el" href="classtransactor__sm.html#a9114e925dde279292fc80cbd5e46b505">ipb_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">ipb_wbus</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a785480b8a1b1f6cf66fb2d62e1be9bba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a785480b8a1b1f6cf66fb2d62e1be9bba"></a>
<a class="el" href="classtransactor__sm.html#a785480b8a1b1f6cf66fb2d62e1be9bba">ipb_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">ipb_rbus</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f75aba1f6a1c64249d990bf36c13709"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f75aba1f6a1c64249d990bf36c13709"></a>
<a class="el" href="classtransactor__sm.html#a2f75aba1f6a1c64249d990bf36c13709">cfg_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afb696e9bda148d21f6c003746bf43a1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb696e9bda148d21f6c003746bf43a1e"></a>
<a class="el" href="classtransactor__sm.html#afb696e9bda148d21f6c003746bf43a1e">cfg_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b081164c46fb8159c0413870250cfa7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b081164c46fb8159c0413870250cfa7"></a>
<a class="el" href="classtransactor__sm.html#a2b081164c46fb8159c0413870250cfa7">cfg_din</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2b74113ad026b80624514518803bc64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2b74113ad026b80624514518803bc64"></a>
<a class="el" href="classtransactor__sm.html#ac2b74113ad026b80624514518803bc64">cfg_dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="transactor__sm_8vhd_source.html#l00018">18</a> of file <a class="el" href="transactor__sm_8vhd_source.html">transactor_sm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="transactor__sm_8vhd_source.html">transactor_sm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
